# FoundationClasses
TKAdvTools
Expr

# Expr_NumericValue Class Reference

This class describes any reel value defined in an
expression.
.

`#include <Expr_NumericValue.hxx>`

Inheritance diagram for Expr_NumericValue:

[legend]

## Public Member Functions

Standard_EXPORT | Expr_NumericValue (const Standard_Real val)
Standard_EXPORT Standard_Real | GetValue () const
Standard_EXPORT void | SetValue (const Standard_Real val)
Standard_EXPORT Standard_Integer | NbSubExpressions () const
| Returns the number of sub-expressions contained in <me> ( >= 0) .
Standard_EXPORT const Handle_Expr_GeneralExpression & | SubExpression (const Standard_Integer I) const
| Returns the -th sub-expression of <me> raises OutOfRange if > NbSubExpressions(me) .
Standard_EXPORT Handle_Expr_GeneralExpression | Simplified () const
| Returns a GeneralExpression after replacement of NamedUnknowns by an associated expression and after values computation. .
Standard_EXPORT Handle_Expr_GeneralExpression | ShallowSimplified () const
| Returns a GeneralExpression after a simplification of the arguments of <me>. .
Standard_EXPORT Handle_Expr_GeneralExpression | Copy () const
| Returns a copy of <me> having the same unknowns and functions. .
Standard_EXPORT Standard_Boolean | ContainsUnknowns () const
| Tests if <me> contains NamedUnknown. .
Standard_EXPORT Standard_Boolean | Contains (const Handle(Expr_GeneralExpression)&exp) const
| Tests if <exp> is contained in <me>. .
Standard_EXPORT Standard_Boolean | IsIdentical (const Handle(Expr_GeneralExpression)&Other) const
| Tests if <me> and <other> define the same expression. This method does not include any simplification before testing. .
Standard_EXPORT Standard_Boolean | IsLinear () const
| Tests if <me> is linear on every NamedUnknown it contains. .
Standard_EXPORT Handle_Expr_GeneralExpression | Derivative (const Handle(Expr_NamedUnknown)&X) const
| Returns the derivative on <x> unknown of <me> .
virtual Standard_EXPORT Handle_Expr_GeneralExpression | NDerivative (const Handle(Expr_NamedUnknown)&X, const Standard_Integer N) const
| Returns the <n>-th derivative on <x> unknown of <me>. Raises OutOfRange if <n> <= 0 .
Standard_EXPORT void | Replace (const Handle(Expr_NamedUnknown)&var, const Handle(Expr_GeneralExpression)&with)
| Replaces all occurences of with <with> in <me> .
Standard_EXPORT Standard_Real | Evaluate (const Expr_Array1OfNamedUnknown &vars, const TColStd_Array1OfReal &vals) const
| Returns the value of <me> (as a Real) by replacement of <vars> by <vals>. .
Standard_EXPORT TCollection_AsciiString | String () const
| returns a string representing <me> in a readable way.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | myValue

## Constructor & Destructor Documentation

Standard_EXPORT Expr_NumericValue::Expr_NumericValue | ( | const Standard_Real | val | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean Expr_NumericValue::Contains | ( | const Handle(Expr_GeneralExpression)& | exp | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Standard_Boolean Expr_NumericValue::ContainsUnknowns | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Handle_Expr_GeneralExpression Expr_NumericValue::Copy | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Handle_Expr_GeneralExpression Expr_NumericValue::Derivative | ( | const Handle(Expr_NamedUnknown)& | X | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Standard_Real Expr_NumericValue::Evaluate | ( | const Expr_Array1OfNamedUnknown & | vars,
|  | const TColStd_Array1OfReal & | vals
| ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Standard_Real Expr_NumericValue::GetValue | ( |  | ) | const

Standard_EXPORT const Expr_NumericValue::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Expr_GeneralExpression.

Standard_EXPORT Standard_Boolean Expr_NumericValue::IsIdentical | ( | const Handle(Expr_GeneralExpression)& | Other | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Standard_Boolean Expr_NumericValue::IsLinear | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Standard_Integer Expr_NumericValue::NbSubExpressions | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

virtual Standard_EXPORT Handle_Expr_GeneralExpression Expr_NumericValue::NDerivative | ( | const Handle(Expr_NamedUnknown)& | X,
|  | const Standard_Integer | N
| ) | const`[virtual]`

| Reimplemented from Expr_GeneralExpression.

Standard_EXPORT void Expr_NumericValue::Replace | ( | const Handle(Expr_NamedUnknown)& | var,
|  | const Handle(Expr_GeneralExpression)& | with
| ) | `[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT void Expr_NumericValue::SetValue | ( | const Standard_Real | val | ) |

Standard_EXPORT Handle_Expr_GeneralExpression Expr_NumericValue::ShallowSimplified | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Handle_Expr_GeneralExpression Expr_NumericValue::Simplified | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT TCollection_AsciiString Expr_NumericValue::String | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT const Handle_Expr_GeneralExpression& Expr_NumericValue::SubExpression | ( | const Standard_Integer | I | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

## Field Documentation

Standard_Real Expr_NumericValue::myValue `[private]`

The documentation for this class was generated from the following file:

- Expr_NumericValue.hxx